package com.lightinit.hsdatashow.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class SentryRole {
    private Long id;

    private String rolecode;

    private String rolename;

    private Long parentid;

    private Date addtiime;

    private List<SentryRole> children=new ArrayList<SentryRole>();

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRolecode() {
        return rolecode;
    }

    public void setRolecode(String rolecode) {
        this.rolecode = rolecode == null ? null : rolecode.trim();
    }

    public String getRolename() {
        return rolename;
    }

    public void setRolename(String rolename) {
        this.rolename = rolename == null ? null : rolename.trim();
    }

    public Long getParentid() {
        return parentid;
    }

    public void setParentid(Long parentid) {
        this.parentid = parentid;
    }

    public Date getAddtiime() {
        return addtiime;
    }

    public void setAddtiime(Date addtiime) {
        this.addtiime = addtiime;
    }

    public List<SentryRole> getChildren() {
        return children;
    }

    public void setChildren(List<SentryRole> children) {
        this.children = children;
    }
}